#! /bin/sh
# -- Transaction Generator 0.X initialization script v.4 --

# NOTICE :
#  if you use ORACLE JDBC-TYPE2(OCI) driver, confirm following environmental
#  variables correctly specified.
#   - CLASSPATH
#   - LD_LIBRARY_PATH
#   - TNS_ADMIN
# < EXAMPLE (Bone-shell) >
#   CLASSPATH=./tg.jar:${ORACLE_HOME}/jdbc/lib/ojdbc5.jar:${ORACLE_HOME}/jdbc/lib/orai18n.jar:.
#   export CLASSPATH
#   LD_LIBRARY_PATH=${ORACLE_HOME}/lib
#   export LD_LIBRARY_PATH
#   TNS_ADMIN=${ORACLE_HOME}/network/admin
#   export TNS_ADMIN

OPTION1=$1
OPTION2=$2
OPTION3=$3
OPTION4=$4
OPTION5=$5
OPTION6=$6
OPTION7=$7
OPTION8=$8


PATH=./j2re/bin:${PATH}
export PATH

# MySQL JDBC DRIVER :
CLASSPATH=./lib/mysql-connector-java-5.1.6-bin.jar:${CLASSPATH}

# PostgreSQL JDBC DRIVER : 
CLASSPATH=./lib/postgresql-8.2-508.jdbc3.jar:${CLASSPATH}

# ORACLE JDBC DRIVER : 
CLASSPATH=./lib/ojdbc5.jar:${CLASSPATH}

# SQL server JDBC DRIVER :
CLASSPATH=./lib/sqljdbc.jar:${CLASSPATH}

# General setting :
CLASSPATH=./tg.jar:.:${CLASSPATH}
export CLASSPATH

java -Xmx512m tg ${OPTION1} ${OPTION2} ${OPTION3} ${OPTION4} ${OPTION5} ${OPTION6} ${OPTION7} ${OPTION8}

exit